SQL-инъекция в PHP-Nuke

Дата публикации:
23.01.2008
Всего просмотров:
2058
Опасность:
Средняя
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2008-0461
CVE-2009-0302
Вектор эксплуатации:
Удаленная
Воздействие:
Раскрытие важных данных
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
PHP-Nuke 8.x
Уязвимые версии: PHP-Nuke 8.0, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольные SQL команды в базе данных приложения.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "sid" в сценарии modules/Search/index.php (когда параметр "type"установлен в значение "comments"). Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения. Для успешной эксплуатации уязвимости опция "magic_quotes_gpc" должна быть отключена в конфигурационном файле PHP.

URL производителя: phpnuke.org

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: PHP-Nuke <= 8.0 Final (sid) Remote SQL Injection Exploit

или введите имя

CAPTCHA